Name: syslog-ng
Version: 1.4.17
Release: alt1

Summary: syslog-ng daemon
Group: System/Kernel and hardware
License: GPL
Url: http://www.balabit.hu/products/syslog-ng/
Provides: syslogd-daemon
Prereq:	syslog-common
Conflicts: klogd < 1.4.1-alt7

Source: %name-%version.tar.gz
Source1: syslog-ng.init
Source2: syslog-ng.conf
Source3: syslog-ng.sysconfig
Source4: reference.tar.bz2

Patch: syslog-conf.patch

# Automatically added by buildreq on Tue Jul 24 2001
BuildRequires: bison flex libol-devel

%description
An enhanced syslog daemon.

%prep
%setup -q -a4
%patch -p1

%build
%configure --sbindir=/sbin
make

%install
mkdir -p %buildroot%_initdir
make DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin sysconfdir=%_sysconfdir \
  mandir=%_mandir prefix=%prefix install

install -m755 -D -p %SOURCE1 $RPM_BUILD_ROOT%_initdir/syslog-ng
install -m640 -D -p %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/syslog-ng.conf
install -m640 -D -p %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/syslog-ng

%post
%post_service %name
if [ $1 = 1 ]; then
    [ -x /sbin/syslogd ] && /sbin/chkconfig --level 2345 syslogd off ||:
fi

%preun
%preun_service %name
if [ $1 = 0 ]; then
    [ -x /sbin/syslogd ] && /sbin/chkconfig --level 2345 syslogd on ||:
fi

%files
%doc AUTHORS README ChangeLog NEWS PORTS
%doc doc/sgml/syslog-ng.txt reference
%doc doc/*.demo doc/*.sample doc/*.solaris
%config(noreplace) %_sysconfdir/syslog-ng.conf
%config(noreplace) %_sysconfdir/sysconfig/syslog-ng
%_initdir/syslog-ng*
/sbin/syslog-ng*
%_mandir/man?/*

%changelog
* Thu Oct 31 2002 Nikita Gergel <fc@altlinux.ru> 1.4.17-alt1
- 1.4.17

* Sun Oct 27 2002 Nikita Gergel <fc@altlinux.ru> 1.4.16-alt2
- syslog-ng.conf patch

* Fri Oct 25 2002 Nikita Gergel <fc@altlinux.ru> 1.4.16-alt1
- 1.4.16

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.15-alt3
- security fix

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.15-alt2
- rebuild with gcc3

* Sat May 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.15-alt1
- 1.4.15

* Tue Feb 05 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.14-alt2
- sync with chrooted klogd

* Thu Dec 20 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.14-alt1
- 1.4.14

* Tue Sep 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.12-alt2
- added PreReq for syslog-common - general package for all syslogs.
- added some documentation

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.12-alt1
- 1.4.12

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.10-alt1
- Initial release for ALT Linux.

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.10-1mdk
- used srpm from John Johnson <jjohnson@linux-mandrake.com> :
	- Updated syslog-ng to version 1.4.

* Mon Nov 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.8-2mdk
- specfile cleaning, use macros
- rewrote init file
- wrote proper syslog-ng.conf file based on syslog.conf
- patch so config goes in /etc not /etc/syslog-ng
- syslog-ng goes in /sbin not /usr/sbin

* Wed Nov 8 2000 John Johnson <jjohnson@linux-mandrake.com> 1.4.8-1mdk
- Made Mandrake rpm
